<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFHeader (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFHeader (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFHeader.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFHeader" class="title">Class HSSFHeader</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HeaderFooter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.HSSFHeader</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                           title="interface in org.apache.poi.ss.usermodel">Header</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/HeaderFooter.html"
                            title="interface in org.apache.poi.ss.usermodel">HeaderFooter</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFHeader</span>
extends <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
           title="class in org.apache.poi.hssf.usermodel">HeaderFooter</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Header.html"
              title="interface in org.apache.poi.ss.usermodel">Header</a></pre>
                <div class="block">Class to read and manipulate the header.
                    <P>
                        The header works by having a left, center, and right side. The total cannot
                        be more that 255 bytes long. One uses this class by getting the HSSFHeader
                        from HSSFSheet and then getting or setting the left, center, and right side.
                        For special things (such as page numbers and date), one can use a the methods
                        that return the characters used to represent these. One can also change the
                        fonts by using similar methods.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html#HSSFHeader-org.apache.poi.hssf.record.aggregates.PageSettingsBlock-">HSSFHeader</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">PageSettingsBlock</a>&nbsp;psb)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html#getRawText--">getRawText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html#setHeaderFooterText-java.lang.String-">setHeaderFooterText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HeaderFooter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
                                        title="class in org.apache.poi.hssf.usermodel">HeaderFooter</a></h3>
                                <code><a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#date--">date</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#endBold--">endBold</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#endDoubleUnderline--">endDoubleUnderline</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#endUnderline--">endUnderline</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#file--">file</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#font-java.lang.String-java.lang.String-">font</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#fontSize-short-">fontSize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#numPages--">numPages</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#page--">page</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#setRight-java.lang.String-">setRight</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#startBold--">startBold</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#startDoubleUnderline--">startDoubleUnderline</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#startUnderline--">startUnderline</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#stripFields-java.lang.String-">stripFields</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#tab--">tab</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#time--">time</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Header">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                                        title="interface in org.apache.poi.ss.usermodel">Header</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setRight-java.lang.String-">setRight</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFHeader-org.apache.poi.hssf.record.aggregates.PageSettingsBlock-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFHeader</h4>
                                <pre>protected&nbsp;HSSFHeader(<a
                                        href="../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">PageSettingsBlock</a>&nbsp;psb)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRawText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawText</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getRawText()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#getRawText--">getRawText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
                                                title="class in org.apache.poi.hssf.usermodel">HeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the internal text representation (combining center, left and right parts).
                                        Possibly empty string if no header or footer is set. Never <code>null</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeaderFooterText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setHeaderFooterText</h4>
                                <pre>protected&nbsp;void&nbsp;setHeaderFooterText(java.lang.String&nbsp;text)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html#setHeaderFooterText-java.lang.String-">setHeaderFooterText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HeaderFooter.html"
                                                title="class in org.apache.poi.hssf.usermodel">HeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the new header footer text (contains mark-up tags). Possibly
                                        empty string never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFHeader.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
